summaryrefslogtreecommitdiff
path: root/bin
diff options
context:
space:
mode:
Diffstat (limited to 'bin')
-rwxr-xr-xbin/common/gt1
-rwxr-xr-xbin/common/gt-cmd8
2 files changed, 6 insertions, 3 deletions
diff --git a/bin/common/gt b/bin/common/gt
index 9f98c15..1965ed1 100755
--- a/bin/common/gt
+++ b/bin/common/gt
@@ -103,5 +103,6 @@ while getopts ":a:c:f:lsheu" opt; do
;;
esac
done
+>&2 printf '*: %s\n' "$*"
# eval "herbe $(status | sed 's/"/\"/g;s/.*/"&"/' | tr '\n' ' ')"
diff --git a/bin/common/gt-cmd b/bin/common/gt-cmd
index 66efd50..faa743a 100755
--- a/bin/common/gt-cmd
+++ b/bin/common/gt-cmd
@@ -2,9 +2,11 @@
# path to repo
repo="$1"
+shift 2>/dev/null || exit 1
# git command
-command="$2"
-[ "$#" -lt 2 ] && exit 1
+command="$1"
+shift 2>/dev/null || exit 1
+args="$*"
repo_pretty="$(printf '%s' "$repo" | sed "s@^$HOME@~@")"
@@ -13,6 +15,6 @@ if [ ! -d "$repo" ]; then
exit 1
fi
-git -C "$repo" "$command" >/dev/null 2>&1
+git -C "$repo" "$command" $args >/dev/null 2>&1
[ $? -gt 0 ] && s="x" || s="o"
printf '%s: %s\n' "$repo_pretty" "$s"